# ExpatParseException

Extends \BuildException

This class throws errors for Expat, the XML processor.

author | Andreas Aderhold, andi@binarycloud.com
version | $Id: 0421e1fce5039a2e55c1e35273382691c5830a48 $
package | phing.parser

### Methods

## Construct a BuildException.

    __construct(\Exception|string $p1 = "", \Location|\Exception|null $p2 = null, \Location|null $p3 = null)

inherited

Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new Buildexception($causeExc, $loc); throw new BuildException($msg, $causeExc); throw new BuildException($msg, $loc); throw new BuildException($msg, $causeExc, $loc);

### Arguments

#### $p1

`\Exception|string`

#### $p2

`\Location|\Exception|null`

#### $p3

`\Location|null`

## Gets the cause exception.

    getCause() : \Exception

inherited

### Response

`\Exception`

## Gets the location of error in XML file.

    getLocation() : \Location

inherited

### Response

`\Location`

## Sets the location of error in XML file.

    setLocation(\Location $loc)

inherited

### Arguments

#### $loc

`\Location`

### Properties

## Location in the xml file.

    location : \Location

inherited

var |

### Type(s)

`\Location`

## The nested "cause" exception.

    cause : \Exception

inherited

var |

### Type(s)

`\Exception`